#!/bin/sh

echo -n "\033l\033<\n\nUpdating Application\nfrom USB Media" > /dev/lcd

cp /mnt/usb/1340accu.exe /opt/bin/mic_app.bin
touch /var/opt/lib/mic_runapp

# The pipe /tmp/usb-storage_removed is available for mic_update.sh scripts.
# The usb-storage hotplug script will write to it when the media is removed.
# We have to make sure it exists first:
if [ ! -e /tmp/usb-storage_removed ]; then
    mkfifo /tmp/usb-storage_removed
fi

# User message:
echo -n "\033l\033<\n\nUpdate Successful\nRemove USB Media" > /dev/lcd 2> /$

# Now wait for anything on the pipe:
< /tmp/usb-storage_removed

# Clear the LCD:
echo -n "\033l" > /dev/lcd 2> /dev/null
